Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011351ScribusUser Interfacepublic2013-01-07 08:262015-06-26 23:58
Reporterchristoph_s 
Assigned Tocbradney 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS VersionOpenSUSE 12.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0011351: Icons for some actions are harder to use in 1.5.0svn
DescriptionIcon entries in the icon bar with a small arrow for additional options are harder to use in 1.5.0svn than in 1.4.x because the arrow is halfway covered by the icon. Thus, it's easy to miss the arrow with the mouse:

-- Open

-- Insert Shape

-- Insert Polygon

-- Insert Calligraphic Line
TagsNo tags attached.
Patch
Attached Filespng file icon Screenshot 2015-06-18 11.40.51.png [^] (15,765 bytes) 2015-06-18 18:42


png file icon Screenshot 2015-06-25 17.54.39.png [^] (15,221 bytes) 2015-06-26 00:55

- Relationships
related to 0013176closedcbradney Open document Icon dropdown button does not work (won't open previously opened doc) 

-  Notes
(0029624)
fschmid (administrator)
2013-01-07 09:52

You don't need to hit the arrow exactly, you only need to press and hold the mouse button to get to the options.
(0029652)
christoph_s (administrator)
2013-01-08 02:14

It's still less user-friendly than in 1.4.x.
(0029657)
jghali (administrator)
2013-01-08 08:37

Christoph, this change was made by Franz following a user request and i totally disagree with you.
(0029658)
christoph_s (administrator)
2013-01-08 09:29

Jean, people disagreeing is nothing unusual.

The first problem I'm facing is I'm using an extremely fast multimedia computer that reacts hypersensitively to mouse clicks, so what I have to do is crawling slowly towards the Icon bar, move the mouse over the respective icon in the icon bar, pause and release the mouse, then press the left mouse button and hold it to get the options. Otherwise I'll end up with the default option.

There is another aspect, perhaps even more subtle, to this bug report. During the past two years I had to learn the hard way, i.e. in a hospital and in physiotherapy, to "listen to my muscles". In 1.4.x I can click on the drop-down-arrow and move over the options by simply moving the mouse. In 1.5svn I have to press the left mouse button a lot more and longer. This has to do with health-related ergonomics, and the behaviour of 1.5svn isn't exactly health-friendly or ergonomically. 1.4.x's is.
(0029659)
fschmid (administrator)
2013-01-08 09:37

These toolbar buttons with an arrow are created by Qt itself, so they are conform to the user interface. Even KDE applications are using it.
(0029672)
christoph_s (administrator)
2013-01-09 09:04

OK, but could you explain to me why 1.4.x and 1.5.0svn are behaving differently when both are being compiled against the same Qt version?

I really didn't mean to start a fight over this issue, and I probably bought the wrong computer (advertised as a multimedia and gaming device), which means it may be too fast for DTP. However, I still think 1.4x is better in terms of ergonomics (read: health).

Feel free to close this bug if you think it's meaningless.
(0035431)
Kunda (manager)
2015-06-18 18:06
edited on: 2015-06-18 18:43

Wouldn't it be simply to highlight the smaller arrow better ?
With the new icon set on 1.5.1, Open, Polygon and Shape still obscure the arrow.

FYI I actually had no idea that the open icon had an arrow till now.

EDIT: added screenshot showing arrows pointing diagonally down at the bottom right corner of the icon button.

(0035485)
cbradney (administrator)
2015-06-23 11:55

r20196 adds customisable icons for the arrow so we can add contrast. Button usage on OSX seems just fine.
(0035510)
Kunda (manager)
2015-06-26 00:54

Craig, looks way better now on OSX, thanks!
See screenshot
(0035534)
cbradney (administrator)
2015-06-26 23:58

Secret sauce in 13176

- Issue History
Date Modified Username Field Change
2013-01-07 08:26 christoph_s New Issue
2013-01-07 09:52 fschmid Note Added: 0029624
2013-01-07 14:20 fschmid Status new => resolved
2013-01-07 14:20 fschmid Fixed in Version => 1.5.0svn
2013-01-07 14:20 fschmid Resolution open => no change required
2013-01-07 14:20 fschmid Assigned To => fschmid
2013-01-08 02:14 christoph_s Note Added: 0029652
2013-01-08 02:14 christoph_s Status resolved => feedback
2013-01-08 02:14 christoph_s Resolution no change required => reopened
2013-01-08 08:37 jghali Note Added: 0029657
2013-01-08 08:37 jghali Status feedback => resolved
2013-01-08 08:37 jghali Resolution reopened => no change required
2013-01-08 08:38 jghali Fixed in Version 1.5.0svn =>
2013-01-08 09:29 christoph_s Note Added: 0029658
2013-01-08 09:29 christoph_s Assigned To fschmid =>
2013-01-08 09:29 christoph_s Status resolved => feedback
2013-01-08 09:29 christoph_s Resolution no change required => reopened
2013-01-08 09:37 fschmid Note Added: 0029659
2013-01-09 09:04 christoph_s Note Added: 0029672
2013-01-09 09:04 christoph_s Status feedback => new
2014-07-03 21:43 Kunda Target Version 1.5.0 => 1.5.1
2015-06-18 18:06 Kunda Note Added: 0035431
2015-06-18 18:42 Kunda File Added: Screenshot 2015-06-18 11.40.51.png
2015-06-18 18:43 Kunda Note Edited: 0035431 View Revisions
2015-06-23 11:55 cbradney Note Added: 0035485
2015-06-26 00:54 Kunda Note Added: 0035510
2015-06-26 00:55 Kunda File Added: Screenshot 2015-06-25 17.54.39.png
2015-06-26 23:41 cbradney Relationship added related to 0013176
2015-06-26 23:58 cbradney Note Added: 0035534
2015-06-26 23:58 cbradney Status new => resolved
2015-06-26 23:58 cbradney Fixed in Version => 1.5.1svn
2015-06-26 23:58 cbradney Resolution reopened => fixed
2015-06-26 23:58 cbradney Assigned To => cbradney



Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker